xfigure img { height: 358px !important; display:block !important; }
xfigure {
  display: block;
  position: relative;
  overflow: hidden;
  margin: 0 10px 0 10px; 
  border-top: 0;
  border-bottom: 0;
  border-left: 2px solid black;
  border-right: 2px solid black;
}
figcaption {
  position: absolute; z-index:111;
  background: white;
  xbackground: rgba(0,0,0,0.75);
  color: black;
  padding: 10px 20px;
  opacity: 0;
  -webkit-transition: all 0.6s ease;
  -moz-transition:    all 0.6s ease;
  -o-transition:      all 0.6s ease;
}
figure:hover figcaption {  opacity: 1; }
.cap-bot figcaption { left: 0; bottom: -30%; }
.cap-bot:hover figcaption { bottom: 0; }